Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Form1.Designer.cs
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Form1.Designer.cs	(revision 30536)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Form1.Designer.cs	(revision 30536)
@@ -0,0 +1,247 @@
+﻿namespace Picasa2Piwigo
+{
+    partial class Form1
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Form1));
+            this.label1 = new System.Windows.Forms.Label();
+            this.AlbumNameTextBox = new System.Windows.Forms.TextBox();
+            this.SyncButton = new System.Windows.Forms.Button();
+            this.OptionsButton = new System.Windows.Forms.Button();
+            this.label2 = new System.Windows.Forms.Label();
+            this.NewAlbumParentAlbumComboBox = new System.Windows.Forms.ComboBox();
+            this.NewAlbumRadioButton = new System.Windows.Forms.RadioButton();
+            this.NewAlbumGroupBox = new System.Windows.Forms.GroupBox();
+            this.AccessComboBox = new System.Windows.Forms.ComboBox();
+            this.label3 = new System.Windows.Forms.Label();
+            this.AddTopAlbumCheckbox = new System.Windows.Forms.RadioButton();
+            this.AddToAlbumGroupbox = new System.Windows.Forms.GroupBox();
+            this.AddToAlbumComboBox = new System.Windows.Forms.ComboBox();
+            this.label4 = new System.Windows.Forms.Label();
+            this.NewAlbumGroupBox.SuspendLayout();
+            this.AddToAlbumGroupbox.SuspendLayout();
+            this.SuspendLayout();
+            // 
+            // label1
+            // 
+            this.label1.AutoSize = true;
+            this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.label1.Location = new System.Drawing.Point(6, 27);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(89, 16);
+            this.label1.TabIndex = 1;
+            this.label1.Text = "Album Name:";
+            // 
+            // AlbumNameTextBox
+            // 
+            this.AlbumNameTextBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.AlbumNameTextBox.Location = new System.Drawing.Point(103, 24);
+            this.AlbumNameTextBox.Name = "AlbumNameTextBox";
+            this.AlbumNameTextBox.Size = new System.Drawing.Size(631, 22);
+            this.AlbumNameTextBox.TabIndex = 2;
+            // 
+            // SyncButton
+            // 
+            this.SyncButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.SyncButton.Location = new System.Drawing.Point(333, 250);
+            this.SyncButton.Name = "SyncButton";
+            this.SyncButton.Size = new System.Drawing.Size(111, 33);
+            this.SyncButton.TabIndex = 3;
+            this.SyncButton.Text = "Execute";
+            this.SyncButton.UseVisualStyleBackColor = true;
+            this.SyncButton.Click += new System.EventHandler(this.SyncButton_Click);
+            // 
+            // OptionsButton
+            // 
+            this.OptionsButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.OptionsButton.Location = new System.Drawing.Point(490, 250);
+            this.OptionsButton.Name = "OptionsButton";
+            this.OptionsButton.Size = new System.Drawing.Size(108, 33);
+            this.OptionsButton.TabIndex = 4;
+            this.OptionsButton.Text = "Options";
+            this.OptionsButton.UseVisualStyleBackColor = true;
+            this.OptionsButton.Click += new System.EventHandler(this.OptionsButton_Click);
+            // 
+            // label2
+            // 
+            this.label2.AutoSize = true;
+            this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.label2.Location = new System.Drawing.Point(6, 64);
+            this.label2.Name = "label2";
+            this.label2.Size = new System.Drawing.Size(91, 16);
+            this.label2.TabIndex = 1;
+            this.label2.Text = "Parent Album:";
+            // 
+            // NewAlbumParentAlbumComboBox
+            // 
+            this.NewAlbumParentAlbumComboBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.NewAlbumParentAlbumComboBox.FormattingEnabled = true;
+            this.NewAlbumParentAlbumComboBox.Location = new System.Drawing.Point(103, 61);
+            this.NewAlbumParentAlbumComboBox.Name = "NewAlbumParentAlbumComboBox";
+            this.NewAlbumParentAlbumComboBox.Size = new System.Drawing.Size(631, 24);
+            this.NewAlbumParentAlbumComboBox.TabIndex = 4;
+            // 
+            // NewAlbumRadioButton
+            // 
+            this.NewAlbumRadioButton.AutoSize = true;
+            this.NewAlbumRadioButton.Checked = true;
+            this.NewAlbumRadioButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.NewAlbumRadioButton.Location = new System.Drawing.Point(12, 39);
+            this.NewAlbumRadioButton.Name = "NewAlbumRadioButton";
+            this.NewAlbumRadioButton.Size = new System.Drawing.Size(94, 20);
+            this.NewAlbumRadioButton.TabIndex = 5;
+            this.NewAlbumRadioButton.TabStop = true;
+            this.NewAlbumRadioButton.Text = "New Album";
+            this.NewAlbumRadioButton.UseVisualStyleBackColor = true;
+            this.NewAlbumRadioButton.CheckedChanged += new System.EventHandler(this.NewAlbumRadioButton_CheckedChanged);
+            // 
+            // NewAlbumGroupBox
+            // 
+            this.NewAlbumGroupBox.Controls.Add(this.AccessComboBox);
+            this.NewAlbumGroupBox.Controls.Add(this.NewAlbumParentAlbumComboBox);
+            this.NewAlbumGroupBox.Controls.Add(this.label3);
+            this.NewAlbumGroupBox.Controls.Add(this.label2);
+            this.NewAlbumGroupBox.Controls.Add(this.AlbumNameTextBox);
+            this.NewAlbumGroupBox.Controls.Add(this.label1);
+            this.NewAlbumGroupBox.Location = new System.Drawing.Point(124, 14);
+            this.NewAlbumGroupBox.Name = "NewAlbumGroupBox";
+            this.NewAlbumGroupBox.Size = new System.Drawing.Size(741, 138);
+            this.NewAlbumGroupBox.TabIndex = 1;
+            this.NewAlbumGroupBox.TabStop = false;
+            this.NewAlbumGroupBox.Text = "New Album";
+            // 
+            // AccessComboBox
+            // 
+            this.AccessComboBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.AccessComboBox.FormattingEnabled = true;
+            this.AccessComboBox.Items.AddRange(new object[] {
+            "Public",
+            "Private"});
+            this.AccessComboBox.Location = new System.Drawing.Point(103, 97);
+            this.AccessComboBox.Name = "AccessComboBox";
+            this.AccessComboBox.Size = new System.Drawing.Size(79, 24);
+            this.AccessComboBox.TabIndex = 5;
+            this.AccessComboBox.SelectedIndexChanged += new System.EventHandler(this.AccessComboBox_SelectedIndexChanged);
+            // 
+            // label3
+            // 
+            this.label3.AutoSize = true;
+            this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.label3.Location = new System.Drawing.Point(6, 100);
+            this.label3.Name = "label3";
+            this.label3.Size = new System.Drawing.Size(85, 16);
+            this.label3.TabIndex = 1;
+            this.label3.Text = "Access type:";
+            // 
+            // AddTopAlbumCheckbox
+            // 
+            this.AddTopAlbumCheckbox.AutoSize = true;
+            this.AddTopAlbumCheckbox.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.AddTopAlbumCheckbox.Location = new System.Drawing.Point(12, 189);
+            this.AddTopAlbumCheckbox.Name = "AddTopAlbumCheckbox";
+            this.AddTopAlbumCheckbox.Size = new System.Drawing.Size(112, 20);
+            this.AddTopAlbumCheckbox.TabIndex = 5;
+            this.AddTopAlbumCheckbox.Text = "Add To Album";
+            this.AddTopAlbumCheckbox.UseVisualStyleBackColor = true;
+            this.AddTopAlbumCheckbox.CheckedChanged += new System.EventHandler(this.AddTopAlbumCheckbox_CheckedChanged);
+            // 
+            // AddToAlbumGroupbox
+            // 
+            this.AddToAlbumGroupbox.Controls.Add(this.AddToAlbumComboBox);
+            this.AddToAlbumGroupbox.Controls.Add(this.label4);
+            this.AddToAlbumGroupbox.Enabled = false;
+            this.AddToAlbumGroupbox.Location = new System.Drawing.Point(124, 168);
+            this.AddToAlbumGroupbox.Name = "AddToAlbumGroupbox";
+            this.AddToAlbumGroupbox.Size = new System.Drawing.Size(741, 57);
+            this.AddToAlbumGroupbox.TabIndex = 2;
+            this.AddToAlbumGroupbox.TabStop = false;
+            this.AddToAlbumGroupbox.Text = "Add To Album";
+            // 
+            // AddToAlbumComboBox
+            // 
+            this.AddToAlbumComboBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.AddToAlbumComboBox.FormattingEnabled = true;
+            this.AddToAlbumComboBox.Location = new System.Drawing.Point(103, 20);
+            this.AddToAlbumComboBox.Name = "AddToAlbumComboBox";
+            this.AddToAlbumComboBox.Size = new System.Drawing.Size(631, 24);
+            this.AddToAlbumComboBox.TabIndex = 4;
+            // 
+            // label4
+            // 
+            this.label4.AutoSize = true;
+            this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.label4.Location = new System.Drawing.Point(6, 23);
+            this.label4.Name = "label4";
+            this.label4.Size = new System.Drawing.Size(49, 16);
+            this.label4.TabIndex = 1;
+            this.label4.Text = "Album:";
+            // 
+            // Form1
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+            this.ClientSize = new System.Drawing.Size(881, 306);
+            this.Controls.Add(this.AddToAlbumGroupbox);
+            this.Controls.Add(this.AddTopAlbumCheckbox);
+            this.Controls.Add(this.NewAlbumGroupBox);
+            this.Controls.Add(this.NewAlbumRadioButton);
+            this.Controls.Add(this.OptionsButton);
+            this.Controls.Add(this.SyncButton);
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
+            this.Name = "Form1";
+            this.Text = "Picasa2Piwigo - Version 1.0 - KenL";
+            this.Load += new System.EventHandler(this.Form1_Load);
+            this.NewAlbumGroupBox.ResumeLayout(false);
+            this.NewAlbumGroupBox.PerformLayout();
+            this.AddToAlbumGroupbox.ResumeLayout(false);
+            this.AddToAlbumGroupbox.PerformLayout();
+            this.ResumeLayout(false);
+            this.PerformLayout();
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.TextBox AlbumNameTextBox;
+        private System.Windows.Forms.Button SyncButton;
+        private System.Windows.Forms.Button OptionsButton;
+        private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.ComboBox NewAlbumParentAlbumComboBox;
+        private System.Windows.Forms.RadioButton NewAlbumRadioButton;
+        private System.Windows.Forms.GroupBox NewAlbumGroupBox;
+        private System.Windows.Forms.RadioButton AddTopAlbumCheckbox;
+        private System.Windows.Forms.GroupBox AddToAlbumGroupbox;
+        private System.Windows.Forms.ComboBox AddToAlbumComboBox;
+        private System.Windows.Forms.Label label4;
+        private System.Windows.Forms.ComboBox AccessComboBox;
+        private System.Windows.Forms.Label label3;
+    }
+}
+
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Form1.cs
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Form1.cs	(revision 30536)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Form1.cs	(revision 30536)
@@ -0,0 +1,269 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.IO;
+using System.Net;
+using System.Xml;
+
+namespace Picasa2Piwigo
+{
+    using Picasa2PiwigoConstants;
+    public partial class Form1 : Form
+    {        
+        string[] command_line_args;
+        XmlDocument AlbumList = new XmlDocument();
+        public struct AlbumListStruct
+        {
+            public string album_name;
+            public string full_album_path;
+            public int album_index;
+            public string album_parent_chain;
+        }
+        AlbumListStruct[] album_list_array = new AlbumListStruct[1024];
+        int album_count;
+
+        public Form1(string[] args)
+        {
+            InitializeComponent();
+            command_line_args = args;
+        }
+
+        private void Form1_Load(object sender, EventArgs e)
+        {
+           
+            this.SyncButton.Enabled = false;
+            this.Show();
+            this.Refresh();
+
+            //if no arguments then exit
+            if (command_line_args.Length == 0)
+            {
+                return;
+            }
+            AccessComboBox.SelectedIndex = Form1Settings.Default.AccessSetting;
+            this.SyncButton.Enabled = true;
+            //determine album name, if possible
+            AlbumNameTextBox.Text = DetermineAlbumNameFromCommandLine(command_line_args[0]);
+
+            if (FormSettings.Default.PiwigoUrlSetting.Length == 0 ||
+                FormSettings.Default.PicasaContactsLocation.Length == 0)
+            {
+                MessageBox.Show("Set up your Piwigo Server Connection using the Options button.", "Picasa2Piwigo");
+                return;
+            }
+
+            //ok to try to login etc
+            LoginBuildAlbumList();
+
+            //populate album listbox
+            PopulateAlbumListBox();
+        }
+
+        private void SyncButton_Click(object sender, EventArgs e)
+        {
+            DialogResult result;
+
+            if (NewAlbumRadioButton.Checked)
+            {
+                if (AlbumNameTextBox.Text.Length == 0)
+                {
+                    MessageBox.Show("Error:  Blank Album Name");
+                    return;
+                }            
+                GlobalClass.NewAlbumName = AlbumNameTextBox.Text;
+                if (NewAlbumParentAlbumComboBox.SelectedIndex == -1)
+                {
+                    GlobalClass.NewAlbumNameParentID = -1;
+                }
+                else
+                {
+                    GlobalClass.NewAlbumNameParentID = album_list_array[NewAlbumParentAlbumComboBox.SelectedIndex].album_index;
+                }
+                if (AlbumAlreadyExists(NewAlbumParentAlbumComboBox.SelectedIndex))
+                {
+                    MessageBox.Show("Album already exists in Piwigo.  Please choose a different album name.");
+                    return;
+                }
+
+                Form StatusForm = new StatusForm(constants.COMMAND_NEW_ALBUM, command_line_args);
+                result = StatusForm.ShowDialog();
+                StatusForm.Close();
+                if (result == DialogResult.No)
+                {
+                    MessageBox.Show(GlobalClass.StatusDialogErrorMessage, "Picasa2Piwigo Error",
+                        MessageBoxButtons.OK, MessageBoxIcon.Error);
+                }
+                else
+                {
+                    MessageBox.Show("Add to new album complete.");
+                    Application.Exit();
+                }
+            }
+
+            if (AddTopAlbumCheckbox.Checked)
+            {
+                if (AddToAlbumComboBox.SelectedIndex == -1)
+                {
+                    MessageBox.Show("Error:  No Album Selected");
+                    return;
+                }
+                GlobalClass.AddAlbumCategoryID = album_list_array[AddToAlbumComboBox.SelectedIndex].album_index;
+                Form StatusForm = new StatusForm(constants.COMMAND_ADD_TO_ALBUM, command_line_args);
+                result = StatusForm.ShowDialog();
+                StatusForm.Close();
+                if (result == DialogResult.No)
+                {
+                    MessageBox.Show(GlobalClass.StatusDialogErrorMessage, "Picasa2Piwigo Error",
+                        MessageBoxButtons.OK, MessageBoxIcon.Error);
+                }
+                else
+                {
+                    MessageBox.Show("Add to album complete.");
+                    Application.Exit();
+                }
+            }
+
+        }
+
+        private void OptionsButton_Click(object sender, EventArgs e)
+        {
+            DialogResult option_form_result;
+
+            Form OptionsForm = new OptionsForm();
+            OptionsButton.Enabled = false;
+            option_form_result = OptionsForm.ShowDialog();
+            OptionsButton.Enabled = true;
+            if (option_form_result == DialogResult.OK)
+            {
+                if (FormSettings.Default.PiwigoUrlSetting.Length != 0 &&
+                    FormSettings.Default.PicasaContactsLocation.Length != 0)
+                {
+                    this.SyncButton.Enabled = true;
+                    //ok to try to login etc
+                    LoginBuildAlbumList();
+
+                    //populate album listbox
+                    PopulateAlbumListBox();
+                }
+            }
+        }
+
+        private void NewAlbumRadioButton_CheckedChanged(object sender, EventArgs e)
+        {
+            if (NewAlbumRadioButton.Checked)
+            {
+                NewAlbumGroupBox.Enabled = true;                
+                AddToAlbumGroupbox.Enabled = false;
+            }
+        }
+        private void AddTopAlbumCheckbox_CheckedChanged(object sender, EventArgs e)
+        {
+            if (AddTopAlbumCheckbox.Checked)
+            {
+                NewAlbumGroupBox.Enabled = false;                
+                AddToAlbumGroupbox.Enabled = true;
+            }
+        }
+        public void LoginBuildAlbumList()
+        {
+            DialogResult result;
+            Form StatusForm = new StatusForm(constants.COMMAND_START_UP, command_line_args);
+            result = StatusForm.ShowDialog();
+            StatusForm.Close();
+            if (result == DialogResult.No)
+            {
+                MessageBox.Show(GlobalClass.StatusDialogErrorMessage, "Picasa2Piwigo Error",
+                    MessageBoxButtons.OK, MessageBoxIcon.Error);
+            }
+            AlbumList = GlobalClass.AlbumList;
+
+            //build album list
+            BuildAlbumList(AlbumList);
+        }
+        public string DetermineAlbumNameFromCommandLine(string command_line)
+        {
+            int k, l, m;
+            string album_name;
+ 
+            k = command_line.LastIndexOf("\\");
+            album_name = "";
+            if (k != -1)
+            {
+                l = command_line.LastIndexOf("\\", k - 1);
+                m = command_line.LastIndexOf(":", k - 1);
+                if (l != -1)
+                {
+                    album_name = command_line.Substring(l + 1, k - l - 1);
+                }
+                else if (m != -1)
+                {
+                    album_name = command_line.Substring(m + 1, k - m - 1);
+                }
+            }
+            return album_name;
+        }
+        public void BuildAlbumList(XmlDocument AlbumList)
+        {            
+            album_count = 0;
+            XmlNodeList nodelist = AlbumList.GetElementsByTagName("category");
+            foreach (XmlNode anode in nodelist)
+            {
+                if (album_count >= album_list_array.Length)
+                {
+                    Array.Resize(ref album_list_array, album_list_array.Length + 1024);
+                }
+                if (anode.Attributes.Item(0).Name == "id")
+                {
+                    album_list_array[album_count].album_index = Convert.ToInt32(anode.Attributes.Item(0).Value);
+                }
+                album_list_array[album_count].album_name = anode.ChildNodes[0].InnerText;
+                album_count++;
+            }
+        }
+        public void PopulateAlbumListBox()
+        {
+            int i;
+
+            for (i = 0; i < album_count; i++)
+            {
+                NewAlbumParentAlbumComboBox.Items.Add(album_list_array[i].album_name);                
+                AddToAlbumComboBox.Items.Add(album_list_array[i].album_name);
+            }
+        }
+        public bool AlbumAlreadyExists(int selected_index)
+        {
+            int i;
+            string NewAlbumNameFull;
+
+            if (selected_index == -1)
+            {
+                NewAlbumNameFull = GlobalClass.NewAlbumName;
+            }
+            else
+            {
+                NewAlbumNameFull = album_list_array[selected_index].album_name + " / " + GlobalClass.NewAlbumName;
+            }
+            for (i = 0; i < album_count; i++)
+            {
+                if (album_list_array[i].album_name == NewAlbumNameFull)
+                {
+                    return true;
+                }
+            }
+            return false;
+        }
+
+        private void AccessComboBox_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            Form1Settings.Default.AccessSetting = AccessComboBox.SelectedIndex;
+            Form1Settings.Default.AccessValue = AccessComboBox.Text;
+            Form1Settings.Default.Save();
+        }
+
+    }
+}
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/FormSettings.Designer.cs
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/FormSettings.Designer.cs	(revision 30535)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/FormSettings.Designer.cs	(revision 30536)
@@ -83,4 +83,28 @@
             }
         }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("")]
+        public string DebugFileLocation {
+            get {
+                return ((string)(this["DebugFileLocation"]));
+            }
+            set {
+                this["DebugFileLocation"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("False")]
+        public bool DebugEnabled {
+            get {
+                return ((bool)(this["DebugEnabled"]));
+            }
+            set {
+                this["DebugEnabled"] = value;
+            }
+        }
     }
 }
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/FormSettings.settings
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/FormSettings.settings	(revision 30535)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/FormSettings.settings	(revision 30536)
@@ -18,4 +18,10 @@
       <Value Profile="(Default)" />
     </Setting>
+    <Setting Name="DebugFileLocation" Type="System.String" Scope="User">
+      <Value Profile="(Default)" />
+    </Setting>
+    <Setting Name="DebugEnabled" Type="System.Boolean" Scope="User">
+      <Value Profile="(Default)">False</Value>
+    </Setting>
   </Settings>
 </SettingsFile>
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/GlobalClass.cs
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/GlobalClass.cs	(revision 30535)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/GlobalClass.cs	(revision 30536)
@@ -7,7 +7,49 @@
 using System.Windows.Forms;
 using System.Drawing;
+using System.IO;
+using Picasa2PiwigoConstants;
 
 namespace Picasa2PiwigoCommonFunctions
 {
+    public class logit
+    {
+        public static void WriteLog(string logMessage)
+        {
+            string strLogFile;
+            
+            strLogFile = FormSettings.Default.DebugFileLocation;
+#pragma warning disable 0162
+            if (constants.DEBUG_LOG_ENABLED &&
+                FormSettings.Default.DebugEnabled &&
+                FormSettings.Default.DebugFileLocation.Length > 3)
+            {
+                try
+                {
+#pragma warning restore 0162
+                    StreamWriter swLog;
+
+                    logMessage = string.Format("{0}: {1}", DateTime.Now, logMessage);
+
+                    if (!File.Exists(strLogFile))
+                    {
+                        swLog = new StreamWriter(strLogFile);
+                    }
+                    else
+                    {
+                        swLog = File.AppendText(strLogFile);
+                    }
+
+                    swLog.WriteLine(logMessage);
+                    swLog.WriteLine();
+
+                    swLog.Close();
+
+                }
+                catch
+                {
+                }
+            }
+        }
+    }
     public class LabelAdjust
     {
@@ -46,5 +88,5 @@
         public const bool DEBUG_LOCALE = false;
         public const string SET_LOCALE = "es";
-        public const bool DEBUG_LOG_ENABLED = false;
+        public const bool DEBUG_LOG_ENABLED = true;
 
         public const int COMMAND_START_UP = 1;
@@ -53,5 +95,5 @@
 
         public const int MAX_DUPLICATE_FILENAMES = 10000;
-        public const int MAX_NUMBER_OF_CONTACTS = 512;
+        public const int MAX_NUMBER_OF_CONTACTS = 2000;
         public struct PersonIDStruct
         {
